Subject: Usage of object LSP_TUNNEL_INTERFACE_ID

From: "manoj juneja" <[email-masked]>
Date: Mon, 30 Jul 2001 18:28:57 -0700

Hi All,
          Can someone please explain me where and how the 
LSP_TUNNEL_INTERFACE_ID object is used in RSVP-TE ?

Regards,
manoj.

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

---

From: Apratim Mukherjee <[email-masked]>
Date: Tue, 31 Jul 2001 13:58:33 +0530

> Hi Manoj,
> 
> draft-ietf-mpls-rsvp-unnum-01.html
> says
> "
> The LSP_TUNNEL_INTERFACE_ID object has a class number of type 11bbbbbb (to
> be assigned by IANA), C-Type of 1 and length of 12. The format is given
> below. 
>    Figure 1: LSP_TUNNEL_INTERFACE_ID Object
>     0                   1                   2                   3
>     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>    |                        LSR's Router ID                        |
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>    |                    Interface ID (32 bits)                     |
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> This object can optionally appear in either a Path message or a Resv
> message. In the former case, we call it the "Forward Interface ID" for
> that LSP; in the latter case, we call it the "Reverse Interface ID" for
> the LSP"
> 
> However , the class number is yet to be assigned as seen above . Also ,
> this is an extension to support TE lsps on unnumbered links and is an
> extension of rsvp . There is no requirement as of now to mandatorily
> support this object .
> 
> Hope this helps 
> Apratim
> 
> 
> ----------
> From: 	manoj juneja[SMTP:[email-masked]]
> Sent: 	Tuesday, July 31, 2001 6:58 AM
> To: 	[email-masked]
> Subject: 	Usage of object LSP_TUNNEL_INTERFACE_ID
> 
> Hi All,